Bug 23386 - Add language of original in advanced search - staff client
Summary: Add language of original in advanced search - staff client
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Fridolin SOMERS
QA Contact: Nick Clemens
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-26 14:49 UTC by Fridolin SOMERS
Modified: 2019-10-14 20:02 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.03


Attachments
Bug 23386: Add language of original in advanced search (3.03 KB, patch)
2019-07-26 14:53 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 23386: Add language of original in advanced search (3.08 KB, patch)
2019-07-26 19:44 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23386: Add language of original in advanced search (3.15 KB, patch)
2019-07-30 12:25 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2019-07-26 14:49:21 UTC
In advanced search there is a language limit (UNIMARC 101$a), add language of original (UNIMARC 101$c).
Comment 1 Fridolin SOMERS 2019-07-26 14:53:50 UTC
Created attachment 91815 [details] [review]
Bug 23386: Add language of original in advanced search

In advanced search there is a language limit (UNIMARC 101$a), add language of original (UNIMARC 101$c).

This patch adds a TT BLOCK to avoid copy the code.

Test plan:
1) Create some records with language and language of original
2) Go to advanced search page
3) Check limit on language is OK
4) Check limit on language of the original is OK
5) Check using both is OK
Comment 2 Maryse Simard 2019-07-26 19:44:53 UTC
Created attachment 91844 [details] [review]
Bug 23386: Add language of original in advanced search

In advanced search there is a language limit (UNIMARC 101$a), add language of original (UNIMARC 101$c).

This patch adds a TT BLOCK to avoid copy the code.

Test plan:
1) Create some records with language and language of original
2) Go to advanced search page
3) Check limit on language is OK
4) Check limit on language of the original is OK
5) Check using both is OK

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 3 Nick Clemens 2019-07-30 12:25:04 UTC
Created attachment 91866 [details] [review]
Bug 23386: Add language of original in advanced search

In advanced search there is a language limit (UNIMARC 101$a), add language of original (UNIMARC 101$c).

This patch adds a TT BLOCK to avoid copy the code.

Test plan:
1) Create some records with language and language of original
2) Go to advanced search page
3) Check limit on language is OK
4) Check limit on language of the original is OK
5) Check using both is OK

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Martin Renvoize 2019-08-05 14:01:33 UTC
Nice work!

Pushed to master for 19.11.00
Comment 5 Fridolin SOMERS 2019-08-09 13:37:22 UTC
Small enhancement, I choose to backport.
Pushed to 19.05.x for 19.05.03